-- phpMyAdmin SQL Dump
-- version 3.4.5
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Feb 02, 2012 at 09:12 PM
-- Server version: 5.5.16
-- PHP Version: 5.3.8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `mydb`
--

-- --------------------------------------------------------

--
-- Table structure for table `airport`
--

CREATE TABLE IF NOT EXISTS `airport` (
  `AirportName` varchar(100) DEFAULT NULL,
  `AirportID` int(11) NOT NULL AUTO_INCREMENT,
  `Location` int(11) DEFAULT NULL,
  PRIMARY KEY (`AirportID`),
  KEY `AirLocation` (`Location`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `airport`
--

INSERT INTO `airport` (`AirportName`, `AirportID`, `Location`) VALUES
('Dallas Airport', 1, 1),
('Houston Airport', 2, 2);

-- --------------------------------------------------------

--
-- Table structure for table `airportlocation`
--

CREATE TABLE IF NOT EXISTS `airportlocation` (
  `LocationID` int(11) NOT NULL AUTO_INCREMENT,
  `Address` varchar(45) DEFAULT NULL,
  `City` varchar(45) DEFAULT NULL,
  `State` varchar(45) DEFAULT NULL,
  `Zip` int(11) DEFAULT NULL,
  PRIMARY KEY (`LocationID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `airportlocation`
--

INSERT INTO `airportlocation` (`LocationID`, `Address`, `City`, `State`, `Zip`) VALUES
(1, '5555 Airport Lane', 'Dallas', 'Texas', 33333),
(2, '1230 Air Street', 'Houston', 'Texas', 77428);

-- --------------------------------------------------------

--
-- Table structure for table `car`
--

CREATE TABLE IF NOT EXISTS `car` (
  `CarID` int(11) NOT NULL AUTO_INCREMENT,
  `Rate` int(11) DEFAULT NULL,
  `Make` varchar(45) DEFAULT NULL,
  `Model` varchar(45) DEFAULT NULL,
  `Type` varchar(45) DEFAULT NULL,
  `Color` varchar(45) DEFAULT NULL,
  `Year` int(11) DEFAULT NULL,
  `RCC` int(11) DEFAULT NULL,
  `Available` tinyint(1) NOT NULL,
  PRIMARY KEY (`CarID`),
  KEY `CarLocation` (`RCC`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Dumping data for table `car`
--

INSERT INTO `car` (`CarID`, `Rate`, `Make`, `Model`, `Type`, `Color`, `Year`, `RCC`, `Available`) VALUES
(2, 200, 'Ford', 'Mustang', 'Car', 'Yellow', 2007, 1, 1),
(3, 200, 'Ford', 'F150', 'Truck', 'Green', 2012, 1, 0),
(4, 2, 'Ford', 'Willis', 'Jeep', 'Army Green', 1942, 2, 0),
(5, 50, 'Hyundai', 'Elantra', 'Car', 'Blue', 2004, 2, 0),
(6, 22, 'Chevy', 'Super Chevy', 'Truck', 'Maroon', 2000, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `customer`
--

CREATE TABLE IF NOT EXISTS `customer` (
  `CustomerID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(45) DEFAULT NULL,
  `Location` int(11) DEFAULT NULL,
  `Email` varchar(45) DEFAULT NULL,
  `Password` varchar(45) DEFAULT NULL,
  `Username` varchar(45) DEFAULT NULL,
  `Points` int(11) NOT NULL,
  PRIMARY KEY (`CustomerID`),
  KEY `Caddress` (`Location`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `customer`
--

INSERT INTO `customer` (`CustomerID`, `Name`, `Location`, `Email`, `Password`, `Username`, `Points`) VALUES
(2, 'Jeremy Longbottom', 1, 'jeremeylongbottom@internet.com', 'coolstory', 'JBottom', 1201),
(3, 'Inigo Montoya', 2, 'youkilledmyfather@preparetodie.com', '6fingeredman', 'sexyspaniard', 0),
(4, 'Jeremy Bowls', 6, 'Cool_Guy_213', 'coolcoolcool', 'SlyJerry', 0);

-- --------------------------------------------------------

--
-- Table structure for table `customerlocation`
--

CREATE TABLE IF NOT EXISTS `customerlocation` (
  `LocationID` int(11) NOT NULL AUTO_INCREMENT,
  `Address` varchar(45) DEFAULT NULL,
  `City` varchar(45) DEFAULT NULL,
  `State` varchar(45) DEFAULT NULL,
  `Zip` int(11) DEFAULT NULL,
  PRIMARY KEY (`LocationID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Dumping data for table `customerlocation`
--

INSERT INTO `customerlocation` (`LocationID`, `Address`, `City`, `State`, `Zip`) VALUES
(1, '1234 York Street', 'Paris', 'Texas', 12345),
(2, '2101 Indiana Street', 'Brazoria', 'Texas', 77421),
(6, '9492 House House', 'New York', 'Mississippi', 51531);

-- --------------------------------------------------------

--
-- Table structure for table `flight`
--

CREATE TABLE IF NOT EXISTS `flight` (
  `FlightNumber` int(11) NOT NULL AUTO_INCREMENT,
  `Airline` varchar(45) DEFAULT NULL,
  `DepCity` varchar(45) DEFAULT NULL,
  `DepTime` time DEFAULT NULL,
  `ArCity` varchar(45) DEFAULT NULL,
  `ArTime` time DEFAULT NULL,
  `Date` date DEFAULT NULL,
  `airport` int(11) DEFAULT NULL,
  `Price` int(11) NOT NULL,
  `Capacity` int(11) NOT NULL,
  PRIMARY KEY (`FlightNumber`),
  KEY `airID` (`airport`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `flight`
--

INSERT INTO `flight` (`FlightNumber`, `Airline`, `DepCity`, `DepTime`, `ArCity`, `ArTime`, `Date`, `airport`, `Price`, `Capacity`) VALUES
(1, 'Southwestern', 'Dallas', '02:30:00', 'Houston', '02:31:00', '2011-11-16', 1, 300, 199),
(2, 'Southwestern', 'Austin', '11:01:00', 'Dallas', '11:00:00', '2011-11-26', 2, 125, 152),
(3, 'Southwestern', 'El Paso', '12:00:00', 'Austin', '12:01:00', '2011-12-29', 1, 230, 148),
(4, 'Airforce', 'Washington D.C.', '01:00:00', 'Dallas', '12:59:00', '2011-12-31', 2, 9999, 9);

-- --------------------------------------------------------

--
-- Table structure for table `hotel`
--

CREATE TABLE IF NOT EXISTS `hotel` (
  `HotelID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(45) DEFAULT NULL,
  `Location` int(11) DEFAULT NULL,
  `Description` varchar(45) DEFAULT NULL,
  `Rating` int(11) DEFAULT NULL,
  PRIMARY KEY (`HotelID`),
  KEY `Location` (`Location`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `hotel`
--

INSERT INTO `hotel` (`HotelID`, `Name`, `Location`, `Description`, `Rating`) VALUES
(1, 'Hotel California', 1, 'Such a lovely place', 5),
(2, 'Hotel 8', 2, 'We''re really cheap. Come to us.', 2),
(3, 'Cher Hotel', 4, 'The nicest hotel in all of Lake Jackson', 4),
(4, 'Nice Stay Hotel', 3, 'We''re a very nice hotel', 3);

-- --------------------------------------------------------

--
-- Table structure for table `hotellocation`
--

CREATE TABLE IF NOT EXISTS `hotellocation` (
  `LocationID` int(11) NOT NULL AUTO_INCREMENT,
  `Address` varchar(45) DEFAULT NULL,
  `State` varchar(45) DEFAULT NULL,
  `City` varchar(45) DEFAULT NULL,
  `Zip` int(11) DEFAULT NULL,
  PRIMARY KEY (`LocationID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `hotellocation`
--

INSERT INTO `hotellocation` (`LocationID`, `Address`, `State`, `City`, `Zip`) VALUES
(1, '3341 Hotel Lane', 'Texas', 'Conroe', 15321),
(2, '1111 Hotel Boulevard', 'Texas', 'McKinny', 72914),
(3, '1456 Malberry drive', 'Texas', 'El Paso', 45321),
(4, '4682 West Lane', 'Texas', 'Lake Jackson', 45362);

-- --------------------------------------------------------

--
-- Table structure for table `itinerary`
--

CREATE TABLE IF NOT EXISTS `itinerary` (
  `TripID` int(11) NOT NULL AUTO_INCREMENT,
  `Customer` int(11) DEFAULT NULL,
  `RFlight` int(11) DEFAULT NULL,
  `RRoom` int(11) DEFAULT NULL,
  `RCar` int(11) DEFAULT NULL,
  `Payment` int(11) NOT NULL,
  PRIMARY KEY (`TripID`),
  KEY `ItrCustomer` (`Customer`),
  KEY `ItrFlight` (`RFlight`),
  KEY `Payment` (`Payment`),
  KEY `RRoom` (`RRoom`),
  KEY `Car` (`RCar`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=48 ;

--
-- Dumping data for table `itinerary`
--

INSERT INTO `itinerary` (`TripID`, `Customer`, `RFlight`, `RRoom`, `RCar`, `Payment`) VALUES
(43, 2, 3, 5, 5, 14),
(44, 2, 1, 3, 4, 15),
(47, 2, 3, 4, 3, 18);

-- --------------------------------------------------------

--
-- Stand-in structure for view `itr`
--
CREATE TABLE IF NOT EXISTS `itr` (
`fAddress` varchar(45)
,`fCity` varchar(45)
,`fState` varchar(45)
,`fZip` int(11)
,`AirportName` varchar(100)
,`Airline` varchar(45)
,`DepCity` varchar(45)
,`DepTime` time
,`ArCity` varchar(45)
,`ArTime` time
,`Date` date
,`Price` int(11)
,`cAddress` varchar(45)
,`cState` varchar(45)
,`cCity` varchar(45)
,`cZip` int(11)
,`cName` varchar(45)
,`rate` int(11)
,`Make` varchar(45)
,`Model` varchar(45)
,`Type` varchar(45)
,`Color` varchar(45)
,`Year` int(11)
,`hAddress` varchar(45)
,`hState` varchar(45)
,`hCity` varchar(45)
,`hZip` int(11)
,`Number` int(11)
,`rRate` int(11)
,`Size` varchar(45)
,`Name` varchar(45)
,`Rating` int(11)
,`Vendor` varchar(45)
,`CardNumber` varchar(30)
,`pDate` varchar(60)
,`customer` int(11)
,`TripID` int(11)
);
-- --------------------------------------------------------

--
-- Table structure for table `payment`
--

CREATE TABLE IF NOT EXISTS `payment` (
  `PaymentID` int(11) NOT NULL AUTO_INCREMENT,
  `Vendor` varchar(45) DEFAULT NULL,
  `CardNumber` varchar(30) NOT NULL,
  `Amount` int(11) DEFAULT NULL,
  `Date` varchar(60) NOT NULL,
  PRIMARY KEY (`PaymentID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=19 ;

--
-- Dumping data for table `payment`
--

INSERT INTO `payment` (`PaymentID`, `Vendor`, `CardNumber`, `Amount`, `Date`) VALUES
(2, 'VISA', '0', 200000, '2011-11-26 00:00:00'),
(14, 'Amercian Express', '1324456778961324', 410, 'Tuesday, December 06, 2011 1:15:16 AM'),
(15, 'Amercian Express', '1245678944213251', 361, 'Tuesday, December 06, 2011 1:20:24 AM'),
(18, 'null', '1234567894566666', 630, 'Tuesday, December 06, 2011 09:59:05');

-- --------------------------------------------------------

--
-- Table structure for table `rcc`
--

CREATE TABLE IF NOT EXISTS `rcc` (
  `rccID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(45) DEFAULT NULL,
  `Location` int(11) DEFAULT NULL,
  `Discription` text,
  PRIMARY KEY (`rccID`),
  KEY `RLocation` (`Location`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `rcc`
--

INSERT INTO `rcc` (`rccID`, `Name`, `Location`, `Discription`) VALUES
(1, 'CarsRUs', 1, 'We let you borrow our cars because we''re nice.'),
(2, 'Junk Yard Cars', 2, 'We sell you cars for dirt cheap');

-- --------------------------------------------------------

--
-- Table structure for table `rcclocation`
--

CREATE TABLE IF NOT EXISTS `rcclocation` (
  `LocationID` int(11) NOT NULL AUTO_INCREMENT,
  `Address` varchar(45) DEFAULT NULL,
  `State` varchar(45) DEFAULT NULL,
  `City` varchar(45) DEFAULT NULL,
  `Zip` int(11) DEFAULT NULL,
  PRIMARY KEY (`LocationID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `rcclocation`
--

INSERT INTO `rcclocation` (`LocationID`, `Address`, `State`, `City`, `Zip`) VALUES
(1, 'CarLane', 'Motors', 'Place', 34564),
(2, '7521 This Street', 'Texas', 'Lake Jackson', 73194);

-- --------------------------------------------------------

--
-- Table structure for table `room`
--

CREATE TABLE IF NOT EXISTS `room` (
  `RoomID` int(11) NOT NULL AUTO_INCREMENT,
  `Hotel` int(11) DEFAULT NULL,
  `Number` int(11) DEFAULT NULL,
  `Rate` int(11) DEFAULT NULL,
  `Size` varchar(45) DEFAULT NULL,
  `Available` tinyint(1) NOT NULL,
  PRIMARY KEY (`RoomID`),
  KEY `HotelID` (`Hotel`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `room`
--

INSERT INTO `room` (`RoomID`, `Hotel`, `Number`, `Rate`, `Size`, `Available`) VALUES
(1, 1, 312, 40, 'Big', 1),
(2, 2, 999, 2000, 'The entire 999th floor', 1),
(3, 2, 145, 59, 'Medium', 1),
(4, 3, 254, 200, 'Big', 0),
(5, 4, 101, 130, 'Big', 0);

-- --------------------------------------------------------

--
-- Table structure for table `sale`
--

CREATE TABLE IF NOT EXISTS `sale` (
  `SaleID` int(11) NOT NULL AUTO_INCREMENT,
  `Description` text,
  `Amount` int(45) DEFAULT NULL,
  `Points` int(11) NOT NULL,
  PRIMARY KEY (`SaleID`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `sale`
--

INSERT INTO `sale` (`SaleID`, `Description`, `Amount`, `Points`) VALUES
(1, 'Save $50 on your next trip', 50, 50),
(2, 'Save $100 on your next trip', 100, 80);

-- --------------------------------------------------------

--
-- Structure for view `itr`
--
DROP TABLE IF EXISTS `itr`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `itr` AS select `floc`.`Address` AS `fAddress`,`floc`.`City` AS `fCity`,`floc`.`State` AS `fState`,`floc`.`Zip` AS `fZip`,`air`.`AirportName` AS `AirportName`,`flight`.`Airline` AS `Airline`,`flight`.`DepCity` AS `DepCity`,`flight`.`DepTime` AS `DepTime`,`flight`.`ArCity` AS `ArCity`,`flight`.`ArTime` AS `ArTime`,`flight`.`Date` AS `Date`,`flight`.`Price` AS `Price`,`cloc`.`Address` AS `cAddress`,`cloc`.`State` AS `cState`,`cloc`.`City` AS `cCity`,`cloc`.`Zip` AS `cZip`,`rcc`.`Name` AS `cName`,`car`.`Rate` AS `rate`,`car`.`Make` AS `Make`,`car`.`Model` AS `Model`,`car`.`Type` AS `Type`,`car`.`Color` AS `Color`,`car`.`Year` AS `Year`,`hloc`.`Address` AS `hAddress`,`hloc`.`State` AS `hState`,`hloc`.`City` AS `hCity`,`hloc`.`Zip` AS `hZip`,`room`.`Number` AS `Number`,`room`.`Rate` AS `rRate`,`room`.`Size` AS `Size`,`hotel`.`Name` AS `Name`,`hotel`.`Rating` AS `Rating`,`pay`.`Vendor` AS `Vendor`,`pay`.`CardNumber` AS `CardNumber`,`pay`.`Date` AS `pDate`,`it`.`Customer` AS `customer`,`it`.`TripID` AS `TripID` from ((((((((((`airportlocation` `floc` join `airport` `air`) join `flight`) join `itinerary` `it`) join `hotel`) join `hotellocation` `hloc`) join `room`) join `car`) join `rcc`) join `rcclocation` `cloc`) join `payment` `pay`) where ((`it`.`RFlight` = `flight`.`FlightNumber`) and (`air`.`AirportID` = `flight`.`airport`) and (`floc`.`LocationID` = `air`.`Location`) and (`it`.`RRoom` = `room`.`RoomID`) and (`room`.`Hotel` = `hotel`.`HotelID`) and (`hotel`.`Location` = `hloc`.`LocationID`) and (`it`.`RCar` = `car`.`CarID`) and (`car`.`RCC` = `rcc`.`rccID`) and (`rcc`.`Location` = `cloc`.`LocationID`) and (`pay`.`PaymentID` = `it`.`Payment`));

--
-- Constraints for dumped tables
--

--
-- Constraints for table `airport`
--
ALTER TABLE `airport`
  ADD CONSTRAINT `airport_ibfk_1` FOREIGN KEY (`Location`) REFERENCES `airportlocation` (`LocationID`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `car`
--
ALTER TABLE `car`
  ADD CONSTRAINT `car_ibfk_1` FOREIGN KEY (`RCC`) REFERENCES `rcc` (`rccID`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `customer`
--
ALTER TABLE `customer`
  ADD CONSTRAINT `customer_ibfk_1` FOREIGN KEY (`Location`) REFERENCES `customerlocation` (`LocationID`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `flight`
--
ALTER TABLE `flight`
  ADD CONSTRAINT `flight_ibfk_1` FOREIGN KEY (`airport`) REFERENCES `airport` (`AirportID`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `hotel`
--
ALTER TABLE `hotel`
  ADD CONSTRAINT `hotel_ibfk_1` FOREIGN KEY (`Location`) REFERENCES `hotellocation` (`LocationID`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `itinerary`
--
ALTER TABLE `itinerary`
  ADD CONSTRAINT `itinerary_ibfk_13` FOREIGN KEY (`Customer`) REFERENCES `customer` (`CustomerID`),
  ADD CONSTRAINT `itinerary_ibfk_14` FOREIGN KEY (`RFlight`) REFERENCES `flight` (`FlightNumber`),
  ADD CONSTRAINT `itinerary_ibfk_15` FOREIGN KEY (`RRoom`) REFERENCES `room` (`RoomID`),
  ADD CONSTRAINT `itinerary_ibfk_16` FOREIGN KEY (`RCar`) REFERENCES `car` (`CarID`),
  ADD CONSTRAINT `itinerary_ibfk_17` FOREIGN KEY (`Payment`) REFERENCES `payment` (`PaymentID`) ON DELETE CASCADE;

--
-- Constraints for table `rcc`
--
ALTER TABLE `rcc`
  ADD CONSTRAINT `rcc_ibfk_1` FOREIGN KEY (`Location`) REFERENCES `rcclocation` (`LocationID`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Constraints for table `room`
--
ALTER TABLE `room`
  ADD CONSTRAINT `room_ibfk_1` FOREIGN KEY (`Hotel`) REFERENCES `hotel` (`HotelID`) ON DELETE CASCADE ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
