<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html dir="ltr">
    
    <head>
        <script src="http://ajax.googleapis.com/ajax/libs/dojo/1.6/dojo/dojo.xd.js"
        djConfig="parseOnLoad: true">
        </script>
        <script type="text/javascript">
        dojo.require("dijit.layout.ContentPane");
        dojo.require("dijit.layout.BorderContainer");
        dojo.require("dijit.layout.TabContainer");
        dojo.require("dijit.form.ValidationTextBox");
        dojo.require("dijit.form.CurrencyTextBox");
        dojo.require("dijit.form.Button");
        dojo.require("dijit.form.Form");
        dojo.require("dijit.Dialog");
        dojo.require("dojox.grid.DataGrid");
        dojo.require("dojo.data.ItemFileWriteStore");
        dojo.require("dojo.fx");
        dojo.require("dijit.form.RadioButton");
        dojo.require("dijit.form.ComboBox");
        dojo.addOnLoad(function() {
        	var selected = {};
        	selected.rpoints = "";
            var flayout = [{
                field: "Airline",
                name: "Airline",
                width: "auto" },
                {
                    field: "Airport",
                    name: "Airport",
                    width: "auto"},
            {
                field: "dep",
                name: "Departure",
                width: "auto"},
            {
                field: "arrival",
                name: "Arrival",
                width: "auto"},
                {
                    field: "Price",
                    name: "Price",
                    width: "50px"},
                ];
            var times = [{
            	field: "depTime",
                name: "Departure Time",
                width: "100px"
            },
            {
                field: "arrivalTime",
                name: "Arrival Time",
                width: "auto"
            },
            {
                field: "date",
                name: "Date",
                width: "auto"}
            ];
            var hlayout = [
                {
                field: "Name",
                name: "Name",
                width: "auto"},
            {
                field: "discription",
                name: "Description",
                width: "auto"},
            {
                field: "rating",
                name: "Rating",
                width: "auto"},
            {
                field: "city",
                name: "City",
                width: "auto"},
            {
                field: "state",
                name: "State",
                width: "auto"}
            ];
            var clayout = [{
            	field:"make",
            	name:"Make",
            	width:"auto",
            },
            {
            	field:"model",
            	name:"Model",
            	width:"auto"
            },
            {
            	field:"type",
            	name:"Type",
            	width:"auto",
            },
            {
            	field:"color",
            	name:"Color",
            	width:"auto",
            },
            {
            	field:"year",
            	name:"Year",
            	width:"auto",
            },
            {
            	field:"rate",
            	name:"Rate",
            	width:"auto",
            }];
            var rcclayout = [{
            	field:"name",
            	name:"Name",
            	width:"auto"
            },
            {
            	field:"Description",
            	name:"Description",
            	width:"auto"
            },
            {
            	field:"city",
            	name:"City",
            	width:"auto"
            },
            {
            	field:"state",
            	name:"State",
            	width:"auto"
            }];
            var rlayout = [{
            	field:"Des",
            	name:"Description",
            	width:"auto",
            },
            {
            	field:"amount",
            	name:"Amount",
            	width:"auto"
            },
            {
            	field:"points",
            	name:"Points",
            	width:"auto",
            }];
            var roomslayout = [{
            	field:"size",
            	name:"Size",
            	width:"auto",
            },
            {
            	field:"rate",
            	name:"Rate",
            	width:"auto"
            }];
            var flightgrid = new dojox.grid.DataGrid({
                query: {
                    Titel: '*'
                },
                rowSelector: '0px',
                store: null,
                structure: flayout,
                clientSort: true
            }, "f");
            var cargrid = new dojox.grid.DataGrid({

                rowSelector: '0px',
                store: null,
                structure: clayout,
                clientSort: true
            }, "cgrid");
            var hotelgrid = new dojox.grid.DataGrid({

                rowSelector: '0px',
                store: null,
                structure: hlayout,
                clientSort: true
            }, "h");
            var rewardsgrid = new dojox.grid.DataGrid({

                rowSelector: '0px',
                store: null,
                structure: rlayout,
            }, "r");
            var roomsgrid = new dojox.grid.DataGrid({
                rowSelector: '0px',
                store: null,
                structure: roomslayout,
                
            }, "rgrid");
            var rccgrid = new dojox.grid.DataGrid({
                rowSelector: '0px',
                store: null,
                structure: rcclayout,
                
            }, "c");
            var timesgrid = new dojox.grid.DataGrid({
                rowSelector: '0px',
                store: null,
                structure: times,
                
            }, "timesGrid");
            getstore(hotelgrid,"gethotels");
            getstore(flightgrid, "getflights");
            getstore(cargrid, "getcars");
            getstore(rewardsgrid, "getRewards");
            getstore(roomsgrid,"getRooms");
            getstore(rccgrid,"getRCC");
            hotelgrid.startup();
            flightgrid.startup();
            cargrid.startup();
            rewardsgrid.startup();
            roomsgrid.startup();
            rccgrid.startup();
            timesgrid.startup();
            getRP();
			dojo.connect(flightgrid,"onRowClick",clickflights);
			dojo.connect(rccgrid,"onRowClick",clickcar);
			dojo.connect(hotelgrid,"onRowClick",clickhotel);
			
			//LOGOOT
			dojo.connect(dijit.byId("logout"),"onClick",function(){
				dojo.xhrPost({
        			url:"/DataBaseProject/logout",
        			contentType:"application/json",
        			postData: " ",
        			handleAs:"text",
        			load:function(response){
        				
        				window.location = "/DataBaseProject/login/";
        				return response;
        				}});
			});
			//PAYMENT FORM
			dijit.byId("secCode").validator=function(value){
				if(value.length == 3){
					return true;
				}
				else{
					return false;
				}
				
			}
			dijit.byId("CardNum").validator=function(value){
				if(value.length == 16){
					return true;
				}
				else{
					return false;
				}
				
			}
			dojo.connect(dijit.byId("payment"),"onClick",function(){
				console.log(selected);
				dojo.empty("total");
				if(typeof(selected.car) == 'undefined' || typeof(selected.flight) == 'undefined' || typeof(selected.hotel) == 'undefined'){
					alert("please select a full reservation");
					return
			}
				else{
					var tot = getTotal(selected);
					dojo.byId("total").innerHTML += "<div style=\"float:left\">Reservation Total:</div>$"+tot+"<br>";
				}
			if(selected.rew != undefined){
				dojo.byId("total").innerHTML += "<div style=\"float:left\">Rewards:</div>-$"+selected.rew+"<br>";
				tot = tot - selected.rew;
			}
			dojo.byId("total").innerHTML += "<div style=\"float:left\"><b>Total:</b></div>$"+tot;
			selected.tot = tot;
				function getTotal(selected){
					return selected.car.rate[0]+selected.flight.Price[0]+selected.room.rate[0];
				}
       		 dijit.byId("checkOutForm").show();
        });
			//REWARDS
			dojo.connect(dijit.byId("rewButton"),"onClick",dijit.byId("rewardsForm"),"show");
			dojo.connect(dijit.byId("rew"),"onClick",function(e){
				var x =dijit.byId("rewardsForm");
				var select = rewardsgrid.selection.getSelected()[0];
				if(selected.points > select.points[0]){
					console.log(select);
				selected.rew = select.amount[0];
				selected.rpoints = selected.points-select.points[0];
				x.hide();
				}
				else{
					alert("Not enough points!");
				}
			});
			// DELETE ITR
			dojo.connect(dijit.byId("deleteItr"),"onClick",function(e){
				var itrSelect = dijit.byId("itrSele");
				var x =itrSelect.store._getItemByIdentity(itrSelect.get("value"));
				dojo.xhrPost({
        			url:"/DataBaseProject/deleteItr",
        			contentType:"application/json",
        			postData: dojo.toJson(x.ID[0]),
        			handleAs:"text",
        			load:function(response){
        				alert("Reservation Canceled");
        				itrSelect.store.deleteItem(x);
        				itrSelect.set("value","");
        				dojo.empty("flightItr");
        				dojo.empty("carItr");
        				dojo.empty("hotelItr");
        				
        				}});
			});
			function fadeMain(){
				dojo.fadeOut({
					Node:"main"
				}).play();
			}
			//AJAX WITH ITR OBJ
			dojo.connect(dijit.byId("checkSub"),"onClick",function(e){
				var itrObj ={};
				var d = new Date();
				console.log(dijit.byId("payForm"));
				itrObj.flight = selected.flight.flightNum[0];
				itrObj.room = selected.room.ID[0];
				itrObj.car = selected.car.ID[0];
				itrObj.cn = dijit.byId("payForm").value.cn;
				itrObj.vendor = dijit.byId("payForm").value.card;
				itrObj.tot = selected.tot;
				itrObj.stamp = d.toLocaleDateString()+" "+d.toLocaleTimeString() ;
				if(selected.rpoints == 	''){
					itrObj.points = selected.points+(selected.tot*.1);
				}
				else{
				itrObj.points = selected.rpoints+(selected.tot*.1);
				}
				console.log(itrObj);
				dojo.xhrPost({
        			url:"/DataBaseProject/addItr",
        			contentType:"application/json",
        			postData: dojo.toJson(itrObj),
        			handleAs:"text",
        			load:function(response){
        				if(response != ""){
        					window.location = "/DataBaseProject/front";
        				}
        				else{
        				alert("Check Out failed");
        				}
        				}});
			});
			//ACCOUNT ANIMATION
			dojo.connect(dijit.byId("accButton"),"onClick",function(e){
				e.preventDefault();
				dojo.fx.chain([
				dojo.fadeOut({
					node:"main",
					onEnd:function(node){
						dojo.style("profile","display","");
						dojo.style("main","display","none");
						getInfo();
						getItr();
						
					}
				}),
				dojo.fadeIn({
					node:"profile"
				})
				]).play();
			});
			dojo.connect(dijit.byId("proBack"),"onClick",function(){
				dojo.fx.chain([
				dojo.fadeOut({
					node:"profile",
					onEnd:function(node){
						dojo.style("profile","display","none");
						dojo.style("main","display","");
					}
				}),
				dojo.fadeIn({
					node:"main"
				})
				]).play();
			});
			// FLIGHT TABLE CONNECTIONS
			var flight = "";
            function clickflights(e){
            	flight = flightgrid.getItem(e.rowIndex);
            	var f= dijit.byId("times");
            	dojo.connect(f,"onShow",function(){
            		dijit.byId("timesGrid").filter({
            			AirportID:flight.ID[0]
            		});
            	});
            	f.show();
            }
            dojo.connect(dijit.byId("timeSele"),"onClick",function(e){
        		e.preventDefault();
        		var f = dijit.byId("times");
        		var fdata = timesgrid.selection.getSelected()[0];
        		if(fdata == undefined){
        			alert("please select a time");
        		}
        		else{
        		dojo.byId("flightsData").innerHTML = "<div style=\"margin-left:10px;float:left\"><b>Airline:</b><div style=\"margin-left:1em\">" + flight.Airline[0] +" on "+ fdata.date[0] + " at "+flight.Airport[0]+"</div>"+
        			"<b>Departure:</b><div style=\"margin-left:1em\">" + fdata.dep[0] + " at " + fdata.depTime[0] + "</div><b>Arrival:</b>"+
        			"<div style=\"margin-left:1em\">" + fdata.arrival[0] + " at " + fdata.arrivalTime[0] + "</div></div>";
        		selected.flight = fdata;
        		f.hide();

        		}
        	});
         // CAR TABLE CONNECTIONS
            var rcc = "";
            function clickcar(e){
            	rcc = rccgrid.getItem(e.rowIndex);
            	selected.rcc = rcc;
            	var carList = dijit.byId("carList");
            	dojo.connect(carList,"onShow",function(){
            		dijit.byId("cgrid").filter({
            			rccID:rcc.ID[0]
            		});
            	});
            	carList.show();
            	
            }
            dojo.connect(dijit.byId("carSele"),"onClick",function(e){
        		e.preventDefault();
        		var carList = dijit.byId("carList");
        		var cardata = cargrid.selection.getSelected()[0];
        		console.log(cardata);
        		if(cardata == undefined){
        			alert("please select a car");
        		}
        		else{
        		dojo.byId("carsData").innerHTML = "<div style=\"float: left;margin-left: -15px;margin-top: 21px;\"><b>Car:</b><div style=\"margin-left:1em\">" + cardata.color[0] +" "+ cardata.year[0] + " "+cardata.make[0]+" "+cardata.model[0]+"</div>"+
    			"<b>Rental Company:</b><div style=\"margin-left:1em\">" + rcc.name[0] +"</div></div>";
        		selected.car = cardata;
        		carList.hide();

        		}
        	});
         // HOTEL TABLE CONNECTIONS
            var data= "";
            function clickhotel(e){
            	data = hotelgrid.getItem(e.rowIndex);
            	console.log(roomsgrid);
            	var rooms = dijit.byId("rooms");
            	dojo.connect(rooms,"onShow",function(){
                	dijit.byId("rgrid").filter({
                		HotelID:data.ID[0]
                	});});
            	selected.hotel = data;
            	rooms.show();
            }
            	dojo.connect(dijit.byId("roomSele"),"onClick",function(e){
            		e.preventDefault();
            		var rooms = dijit.byId("rooms");
            		var roomsdata = roomsgrid.selection.getSelected()[0];
            		console.log(roomsdata);
            		if(roomsdata == undefined){
            			alert("please select a room");
            		}
            		else{
            		dojo.byId("hotelsData").innerHTML = "<div style=\"float: left;margin-left: -26px;margin-top: 21px;\"><b>Hotel:</b><div style=\"margin-left:1em\">" +data.Name[0]+" in "+ data.city[0] + ", "+data.state[0]+"</div>"+
        			"<b>Room:</b><div style=\"margin-left:1em\">" + roomsdata.size[0] + " at $" + roomsdata.rate[0] + " per day.</div></div></div>";;
            		selected.room = roomsdata;
            		rooms.hide();

            		}
            	});
            	
            function getInfo(){
            	dojo.xhrGet({
                    url: "/DataBaseProject/getInfo",
                    handleAs: "json",
                    load: function(data) {
                      setInfo(data);
                    }

                });
            }
            var itrSelect = new dijit.form.ComboBox({
                id: "itrSele",
                name: "itr",
                value: "",
                store: null,
                searchAttr: "pDate",
                style:{
                	"width":"250px",
                	"margin":"4px 0px 0px 515px"
                }
       	 },
            "itrSele");
            itrSelect.startup();
            
            function getItr(){
            	dojo.xhrGet({
                    url: "/DataBaseProject/getItr",
                    handleAs: "json",
                    load: function(data) {
                    	var store = new dojo.data.ItemFileWriteStore({
                            data: data,
                            hierarchical:false
                        });
                    	itrSelect.set("store",store);
                    	 dojo.connect(itrSelect,"onChange",function(e){
                    		 console.log(itrSelect.store);
                         	var x =itrSelect.store._getItemByIdentity(itrSelect.get("value"));
                         	console.log(x);
                         	fillItr(x);
                         });
                    	 itrSelect.startup();
                    }});
            }
            function setInfo(data){
            	var x = data[0];
            	console.log(x);
            	dojo.byId("proInfo").innerHTML="<h1 style=\"padding:5px;margin-left:10px\">"+x.username+"</h1> <div style=\"margin-left:10px;float:left;padding:5px\"><b>Name:</b><div style=\"margin-left:1em;padding:5px\">" + x.name.replace("_"," ")+"</div>"+
    			"<b>Address:</b><div style=\"margin-left:1em;padding:5px\">" + x.location.address+"<br>"+x.location.city+","+x.location.state+" "+x.location.zip.toString()+"</div><b>Email:</b><div style=\"margin-left:1em;padding:5px\">" + x.email+"</div></div>";
            	
            }
            function getRP(){
            	dojo.xhrGet({
                    url: "/DataBaseProject/getRP",
                    handleAs: "text",
                    load: function(data) {
                      setRP(data);
                    }

                });
            }
            function setRP(data){
            	var i = data;
            	selected.points = parseInt(i);
            	dojo.byId("points").innerHTML = i;
            }
            function getstore(grid, url) {
                dojo.xhrGet({
                    url: "/DataBaseProject/" + url,
                    handleAs: "json",
                    load: function(jsonData) {
                        var store = new dojo.data.ItemFileWriteStore({
                            data: {
                                items: jsonData,
                                hierarchical:false
                            }
                        });
                        if(url=="getflights"){
                        	timesgrid.setStore(store);
                        }
                    	grid.setStore(store);
                    }

                });
            }
            //<div style=\"margin-left:10px;float:left;padding:5px\">
            //<b>Name:</b>
            //<div style=\"margin-left:1em;padding:5px\">" + x.name.replace("_"," ")+"</div>"</div>
            function fillItr(obj){
            	dojo.byId("flightItr").innerHTML = "<h1 style=\"text-aligh:center;margin:0px\">Flight</h1><div style=\"margin-left:10px;float:left;padding:5px\">"+
            	"<b>Airline:</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">" + obj.flight[0].Airline+" at "+obj.flight[0].Airport +" on "+obj.flight[0].date +"</div>"+
            	"<b>Price(Round Trip):</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">$" + obj.flight[0].Price+"</div>"+
            	"<b>Arrival:</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">" + obj.flight[0].arrival+" at "+obj.flight[0].arrivalTime+"</div>"+
            	"<b>Departure:</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">" + obj.flight[0].dep+" at "+obj.flight[0].depTime+"</div>"+
            	"<b>Airport Address:</b>"+
            	"<div style=\"margin-left:1em;padding:5px\">" + obj.flight[0].loc.address+"<br>"+obj.flight[0].loc.city+","+obj.flight[0].loc.state+" "+obj.flight[0].loc.zip+"</div></div>";
            	dojo.byId("carItr").innerHTML = "<h1 style=\"text-aligh:center;margin:0px\">Car</h1><div style=\"margin-left:10px;float:left;padding:5px\">"+
            	"<b>Car:</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">" + obj.car[0].color+" "+obj.car[0].year +" "+obj.car[0].make +" "+obj.car[0].model+"</div>"+
            	"<b>Price(pre Day):</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">$" + obj.car[0].rate+"</div>"+
            	"<b>Type:</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">" +obj.car[0].type+"</div>"+
            	"<b>Rental Car Company:</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">" + obj.car[0].rcc.name+"</div>"+
            	"<b>Address:</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">" + obj.car[0].rcc.companyLocation.address+"<br>"+obj.car[0].rcc.companyLocation.city+","+obj.car[0].rcc.companyLocation.state+" "+obj.car[0].rcc.companyLocation.zip+"</div></div>";
            	dojo.byId("hotelItr").innerHTML = "<h1 style=\"text-aligh:center;margin:0px\">Hotel</h1><div style=\"margin-left:10px;float:left;padding:5px\">"+
            	"<b>Hotel:</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">" + obj.hotel[0].Name+"</div>"+
            	"<b>Room:</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">" + obj.hotel[0].room.roomNumber+"</div>"+
            	"<b>Rate:</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">" +obj.hotel[0].room.size+" at $"+obj.hotel[0].room.rate+" a night</div>"+
            	"<b>Hotel Address:</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">" + obj.hotel[0].loc.address+"<br>"+obj.hotel[0].loc.city+","+obj.hotel[0].loc.state+" "+obj.hotel[0].loc.zip+"</div>"+
            	"<b>Payed With:</b>"+
            	"<div style=\"margin-left:1em;padding:3px\">" +obj.pay[0].Vendor+" ending with "+obj.pay[0].CardNum.toString().substring(obj.pay[0].CardNum.toString().length-4,obj.pay[0].CardNum.toString().length)+" on "+obj.pay[0].date+"</div></div>";
            }
        });
        </script>
        <link rel="stylesheet" type="text/css" href="http://ajax.googleapis.com/ajax/libs/dojo/1.6/dijit/themes/claro/claro.css"
        />
        <style type="text/css">
        	@import "http://ajax.googleapis.com/ajax/libs/dojo/1.6/dojo/resources/dojo.css";
            @import "http://ajax.googleapis.com/ajax/libs/dojo/1.6/dijit/themes/soria/soria.css";
            @import "http://ajax.googleapis.com/ajax/libs/dojo/1.6/dojox/grid/enhanced/resources/EnhancedGrid_rtl.css";
            @import "https://ajax.googleapis.com/ajax/libs/dojo/1.5/dojox/grid/enhanced/resources/claroEnhancedGrid.css";
            html, body { width: 100%; height: 700px; margin: 0;}
            #borderContainer { width: 100%; height: 100%; }
            #Login {
            padding:7px;
            width:230px;
            height:270px;
            border:2px solid;
			border-radius:15px;
			position: absolute;
			bottom:10px;
            }
            .userselect{
            float:left;
            height:150px;
            width:270px;
            border:1px solid black;
            margin-right:5px;
            }
            .label{
            position:relative;
            float:left;
            top:-14px;
            background-color:white;
            padding:3px;
            }
            .bg{
			width:100%;
			height:100%;
			position:fixed;
			bottom:0;
			right:0;
}
.RP{
    font-family: Arial Black;
    font-size: 80px;
    margin: 25px 0 0;
    text-align: center;
}
.proPic{
float:left;
margin:35px 20px 20px 44px;
border:2px solid;
border-radius:10px;
    box-shadow: 5px 5px 5px #ccc;
}
.proInfo{
 border: 2px solid;
    float: left;
    height: 218px;
    margin-top: 4px;
    width: 65%;
    border-radius:10px;
    box-shadow: 5px 5px 5px #ccc;
}
.proItr{
    border: 2px solid;
    float: left;
    height: 270px;
    margin-left: 30px;
    width: 908px;
    border-radius:10px;
    box-shadow: 5px 5px 5px #ccc;
    
}
#flightItr{
width:300px;
border:2px solid black;
height:238px;left:-1px;
top:-2px;
position:absolute;
border-radius:0 0 0 10px;
float:left
}
#carItr{
width:300px;
border:2px solid black;
height:238px;
left:301px;
top:-2px;
position:absolute;
float:left;
}
#hotelItr{
width:302px;
border:2px solid black;
height:238px;
left:603px;
top:-2px;
position:absolute;
float:left;
border-radius:0 0 10px 0;
}
.logB .dijitButtonNode{
width:80px;
}
.banner .claro .dijitSplitContainer-dijitContentPane{
padding:0px;
}
#banner{
 border-radius: 15px 15px 15px 15px;
    height: 190px;
    margin: auto;
    padding: 5px;
    position: absolute;
    top: 8px;
    width: 238px
}
#tot{
border:3px solid;
background-color:lightBlue;
border-radius:10px;
float:left;
height:130px;
width:250px;
margin-left:10px;
margin-top: 25px;
}
#ItrBanner{
 background-color: lightgray;
    border: 1px solid black;
    border-radius: 10px 10px 0 0;
    height: 30px;
    left: -1px;
    position: relative;
    top: -1px;
    width: 100%;
}
#rew.dojoxGrid-header { display:none; }
            .dojoxGrid table {margin:0;}
        </style>
    </head>
    
    <body class=" claro " style="background-color:#8AD5E0">
    <img class="bg" src="/DataBaseProject/resources/1.jpg"/>
        <div dojoType="dijit.layout.BorderContainer" design="headline" gutters="true"
        liveSplitters="false" id="borderContainer" style="width:1000px;height:700px;margin: 0 auto;">
        <!--
            <div class="banner" dojoType="dijit.layout.ContentPane" splitter="false" region="top"
            style="height:71px;">
                <img id="banner" src="/DataBaseProject/resources/banner.png">
            </div>-->
            <!-- LEFT SIDE -->
            <div id="main">
        <div dojoType="dijit.layout.ContentPane" splitter="false" region="left" style="width:248px;">
         <img id="banner" src="/DataBaseProject/resources/banner.png">
        <div id="Login">
        <div id="logCon" style="height:93%;position:relative;margin:10px">
        <div id="RP"><h1 style="text-align:center">Rewards Points:</h1><div class="RP" id="points">0</div></div>
        <button dojoType="dijit.form.Button" id="accButton" type="button" class="logB" style="position:absolute;bottom:0px;left:0px">My Account</button>
        <button dojoType="dijit.form.Button" id="rewButton" type="button" class="logB" style="position:absolute;bottom:0px;right:0px">Rewards</button>
        </div>
        </div>
        </div>
        <!-- DATA CENTER -->
        <span dojoType="dijit.layout.ContentPane" splitter="false" region="right" style="width:700px;">
        <div dojoType="dijit.layout.TabContainer" style="width: 100%; height: 100%;"  tabPosition="left-h">
                <div dojoType="dijit.layout.ContentPane" title="Flights" selected="true">
                <div id="f" style="height:99%"></div>
                </div>
                <div dojoType="dijit.layout.ContentPane" title="Cars">
                    <div id="c" style="height:99%"></div>
                </div>
                <div dojoType="dijit.layout.ContentPane" title="Hotels">
                    <div id="h" style="height:99%"></div>
                </div>
            </div>
            </span>
            <div dojoType="dijit.layout.ContentPane" splitter="false" region="bottom"
            style="height:150px;">
                <div class="userselect"><div class="label" style="left:111px">Flights</div><div id="flightsData"></div></div>
            	<div class="userselect"><div class="label" style="left:121px">Car</div><div id="carsData"></div></div>
            	<div class="userselect"><div class="label" style="left:110px">Hotel</div><div id="hotelsData"></div></div>
                <button dojoType="dijit.form.Button" type="button" id="payment" style="position:relative;top:10px;margin:20px;float:right;"><img src="/DataBaseProject/resources/shopping_cart.jpg"style="width:80px;height:80px"/></button>
            </div>
        </div>
        <div id="profile" style="display:none;opacity:0;">
        <div dojoType="dijit.layout.ContentPane" splitter="false" region="top" style="height:80%">
        <button dojoType="dijit.form.Button" id="proBack" type="button" style="position:absolute;top:0px;left:0px;margin:5px">Back to Main</button>
        <button dojoType="dijit.form.Button" id="logout" type="button" style="margin:5px;float:right">Logout</button>
        <div class="proPic"><img style="width:220px;height:220px" src="/DataBaseProject/resources/profile_user_generic.jpg"></div>
        <div class="proInfo" id="proInfo"></div>
        <div class="proItr" id="proItr">
        <div id="ItrBanner">
        <input id="itrSele" style="margin-left: 273px;">
        <button dojoType="dijit.form.Button" id="deleteItr" type="button" style="float:right;right:10px;position:relative;">
                        Cancel Reservation
                    </button></div>
                   <div id="ItrData">
                   <div id="ItrData" style="position:absolute">
                   <div id="flightItr"></div>
                   <div id="carItr"></div>
                   <div id="hotelItr"></div></div></div></div>
        </div>
        </div>
        </div>
        </div>
        <!-- PAYMENT DIALOG WINDOW -->
         <div dojoType="dijit.Dialog" id="checkOutForm" title="Check Out">
          <div dojoType="dijit.layout.ContentPane" splitter="false" region="left" style="width:600px;height:200px">
            <form dojoType="dijit.form.Form" id="payForm">
            <div style="float:left">
                <div style="padding:10px;width:300px;">
                    <label for='CardNum'>
                        Card Number:
                    </label>
                    <input type="text" name="cn" id="CardNum" dojoType="dijit.form.ValidationTextBox" required="true" style="width:200px">
                    </div>
                    <div style="padding:10px;width:300px;">
                    <label for='Type'>
                        Card Vendor:
                    </label>
                    <table id="type">
                      <tr><td><input type="radio" dojoType="dijit.form.RadioButton" name="card" id="Master"
            value="Master Card" />Master Card</td>
              <td><input type="radio" dojoType="dijit.form.RadioButton" name="card" id="Visa"
            value="Visa" />Visa</td></tr>
              <tr><td><input type="radio" dojoType="dijit.form.RadioButton" name="card" id="Discover"
            value="Discover" />Discover</td>
              <td><input type="radio" dojoType="dijit.form.RadioButton" name="card" id="Amers"
            value="Amercian Express" />Amercian Express</td></tr>
            </table>
                    </div>
                    <div style="padding:10px;width:300px;">
                 <label for='secCode'>
                        Security Code:
                    </label>
                    <input type="text" id="secCode" dojoType="dijit.form.ValidationTextBox" required="true" style="width:50px"></div>
                    <p style="color:red;font-size:9px">* Billing Address has to be the same as Account Address</p>
                    <p style="color:red;font-size:9px">** All transaction/reservations final</p>
                    </div>
                    <div id="tot" ><div style="text-align:center;font-size:20px">
                    <b>Total:</b>
                    <div id="total"style="text-align: right; margin:5px; font-family: Arial;padding:3px"></div></div></div>
              </form>
            </div>
            <div class="dijitDialogPaneActionBar">
                    <button dojoType="dijit.form.Button" type="button" id="checkSub">
                        Check out
                    </button>
                    <button dojoType="dijit.form.Button" type="button" onClick="dijit.byId('checkOutForm').hide();">
                        Cancel
                    </button>
                </div>
            
        </div>
        <div dojoType="dijit.Dialog" id="rewardsForm" title="Check Out">
        <div dojoType="dijit.layout.ContentPane" splitter="false" region="left" style="width:600px;height:400px">
        <div id="r" id="rew"></div>
        </div>
        <div class="dijitDialogPaneActionBar">
                    <button dojoType="dijit.form.Button" type="button" id="rew">
                        Select
                    </button>
                    <button dojoType="dijit.form.Button" type="button" onClick="dijit.byId('rewardsForm').hide();">
                        Cancel
                    </button>
                </div>
        </div>
        <div dojoType="dijit.Dialog" id="rooms" title="Check Out">
        <div dojoType="dijit.layout.ContentPane"  style="width:200px;height:200px;">
        <div id="rgrid" ></div>
        </div>
        <div class="dijitDialogPaneActionBar">
                    <button dojoType="dijit.form.Button" id="roomSele" type="button">
                        Select
                    </button>
                    <button dojoType="dijit.form.Button" type="button" onClick="dijit.byId('rooms').hide();">
                        Cancel
                    </button>
                </div>
        </div>
        <div dojoType="dijit.Dialog" id="carList" title="Check Out">
        <div dojoType="dijit.layout.ContentPane"  style="width:400px;height:200px;">
        <div id="cgrid" ></div>
        </div>
        <div class="dijitDialogPaneActionBar">
                    <button dojoType="dijit.form.Button" id="carSele" type="button">
                        Select
                    </button>
                    <button dojoType="dijit.form.Button" type="button" onClick="dijit.byId('carList').hide();">
                        Cancel
                    </button>
                </div>
        </div>
        <div dojoType="dijit.Dialog" id="times" title="Check Out">
        <div dojoType="dijit.layout.ContentPane"  style="width:300px;height:200px;">
        <div id="timesGrid" ></div>
        </div>
        <div class="dijitDialogPaneActionBar">
                    <button dojoType="dijit.form.Button" id="timeSele" type="button">
                        Select
                    </button>
                    <button dojoType="dijit.form.Button" type="button" onClick="dijit.byId('times').hide();">
                        Cancel
                    </button>
                </div>
        </div>
    </body>

</html>